USERNETCTL(8)

NOM
usernetctl - Autoriser un utilisateur à manipuler une interface réseau (si c'est permis)

SYNOPSIS
usernetctl nom-interface up|down|report

DESCRIPTION
usernetctl vérifie si les utilisateurs ont la permission de manipuler l'interface réseau spécifiée par nom-interface, et essaie ensuite de l'activer ou de la désactiver si up ou down (respectivement) a été spécifié sur la ligne de commande, ou renvoie une valeur de retour vraie ou fausse (respectivement) si l'option de rapport a été spécifiée. usernetctl n'est pas destiné à être appelé directement par un utilisateur, bien qu'il fonctionne également correctement dans ce cas. Il est utilisé comme enveloppe par les scripts ifup et ifdown, de sorte que les utilisateurs peuvent faire exactement la même chose que root :

ifup nom-interface
ifdown nom-interface

ifup et ifdown appelleront automatiquement usernetctl pour permettre le changement d'état de l'interface.

OPTIONS

nom-interface
    Le nom de l'interface réseau à vérifier, par exemple « ppp0 ». Pour assurer la compatibilité amont, « ifcfg-ppp0 » et « /etc/sysconfig/network-scripts/ifcfg-ppp0 » sont également supportés.

up|down
    Essayer d'activer (de désactiver) l'interface réseau.

report
    Rapporter si les utilisateurs peuvent ou pas activer l'interface réseau.

NOTES
Des configurations de périphériques alternatives peuvent hériter des permissions de configuration par défaut.

TRADUCTION

Ce document est une traduction réalisée par Frédéric Delanoy <delanoy_f AT yahoo DOT com> le 27 septembre 2000 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 usernetctl ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.